Page MenuHomePhabricator

collection images in list of collections should scale to match width of collection title
Closed, ResolvedPublic

Description

Desired was how it looked with JSON backend--maybe same code can be used.

Currently:

Specced:

Event Timeline

JKatzWMF created this task.Mar 25 2015, 9:44 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 9:44 PM

What article are you using that has the cheese on it? The code should be no different, I think this is a problem specific to the cheese image.

On Vector they repeat when the image is small - not sure what's better.

JKatzWMF added subscribers: MSyed, Jhernandez.EditedMar 26 2015, 6:11 PM

@Jhernandez, @MSyed

here is an example where one image scales and the other does not. even with bad cropping, the adherance to consistent width is much smoother visually (especially on a mobile screen), and the bad cropping does not come into play unless user is on tablet/desktop and we haven't done the multiple column thing.

Change 199983 had a related patch set uploaded (by Jhernandez):
Background size of collection images doesn't work properly.

https://gerrit.wikimedia.org/r/199983

@Jdlrobson @JKatzWMF For our use cases list-thumb-x and y wasn't cutting it since we actually have a viewport that changes. I've added on the patch background-size: cover that behaves as every normal person would want, and for old browsers that do not support it it will ignore it and fall back to the list-thumb way, so no damage.

The problem was also happening in the collection page in certain widths (I saw it in both the collections list and the collection page).

Change 199983 merged by jenkins-bot:
Background size of collection images doesn't work properly.

https://gerrit.wikimedia.org/r/199983

Jdlrobson closed this task as Resolved.Mar 26 2015, 9:30 PM
JKatzWMF moved this task from Needs triage to In sprint on the Gather board.Apr 11 2015, 12:06 AM